LibreOffice: EnhancedCustomShapeExtrusion Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
EnhancedCustomShapeExtrusion Service Reference

This service may be represented by a com::sun::star::beans::PropertyValue []. More...

`import "EnhancedCustomShapeExtrusion.idl";`

## Public Attributes
boolean | Extrusion
| This property specifies if extrusion is displayed.
double | Brightness
| This attribute specifies the brightness of a scene in percent.
::com::sun::star::drawing::EnhancedCustomShapeParameterPair | Depth
| The first value of EnhancedCustomShapeParameterPair specifies the depth of the extrusion in 1/100 mm.
double | Diffusion
| This attribute specifies the amount of diffusion reflected by the shape in percent.
long | NumberOfLineSegments
| Specifies the number of line segments that should be used to display curved surfaces.
boolean | LightFace
| Specifies if the front face of the extrusion responds to lightning changes.
boolean | FirstLightHarsh
| Specifies if the primary light is harsh.
boolean | SecondLightHarsh
| Specifies if the secondary light is harsh.
double | FirstLightLevel
| Specifies the intensity for the first light in percent.
double | SecondLightLevel
| Specifies the intensity for the second light in percent.
::com::sun::star::drawing::Direction3D | FirstLightDirection
| Specifies the direction of the first light.
::com::sun::star::drawing::Direction3D | SecondLightDirection
| Specifies the direction of the second light.
boolean | Metal
| Specifies if the surface of the extrusion object looks like metal.
short | MetalType
| Specifies in case of Metal=true the way the rendering of the shape is modified.
::com::sun::star::drawing::ShadeMode | ShadeMode
| This property defines the shade mode.
::com::sun::star::drawing::EnhancedCustomShapeParameterPair | RotateAngle
| This attributes specifies the rotation angle about the x-axis in degrees.
::com::sun::star::drawing::Direction3D | RotationCenter
| This attribute specifies the position of the rotate center in terms of shape size fractions, if the property is omitted, then the geometrical center of the shape is used (this is the default).
double | Shininess
| The draw:extrusion-shininess specifies the shininess of a mirror in percent.
::com::sun::star::drawing::EnhancedCustomShapeParameterPair | Skew
| The first value of the draw:extrusion-skew attribute specifies the skew amount of an extrusion in percent.
double | Specularity
| This attribute specifies the specularity of an extrusion object in percent.
com::sun::star::drawing::ProjectionMode | ProjectionMode
| This property defines the projection mode.
::com::sun::star::drawing::Position3D | ViewPoint
| This attribute specifies the viewpoint of the observer.
::com::sun::star::drawing::EnhancedCustomShapeParameterPair | Origin
| This attribute specifies the origin within the bounding box of the shape in terms of the shape size fractions.
boolean | ExtrusionColor
| This attribute specifies if the "SecondFillColor" is used as extrusion color.

## Detailed Description

This service may be represented by a com::sun::star::beans::PropertyValue [].

## Member Data Documentation

## ◆ Brightness

double Brightness
| optionalproperty

This attribute specifies the brightness of a scene in percent.

## ◆ Depth

::com::sun::star::drawing::EnhancedCustomShapeParameterPair Depth
| optionalproperty

The first value of EnhancedCustomShapeParameterPair specifies the depth of the extrusion in 1/100 mm.

The second value (0.0 to 1.0) specifies the fraction of the extrusion that lies before the shape, a value of 0 is default.

## ◆ Diffusion

double Diffusion
| optionalproperty

This attribute specifies the amount of diffusion reflected by the shape in percent.

## ◆ Extrusion

boolean Extrusion
| optionalproperty

This property specifies if extrusion is displayed.

The default for this property is "false"

## ◆ ExtrusionColor

boolean ExtrusionColor
| optionalproperty

This attribute specifies if the "SecondFillColor" is used as extrusion color.

## ◆ FirstLightDirection

::com::sun::star::drawing::Direction3D FirstLightDirection
| optionalproperty

Specifies the direction of the first light.

## ◆ FirstLightHarsh

boolean FirstLightHarsh
| optionalproperty

Specifies if the primary light is harsh.

## ◆ FirstLightLevel

double FirstLightLevel
| optionalproperty

Specifies the intensity for the first light in percent.

## ◆ LightFace

boolean LightFace
| optionalproperty

Specifies if the front face of the extrusion responds to lightning changes.

## ◆ Metal

boolean Metal
| optionalproperty

Specifies if the surface of the extrusion object looks like metal.

## ◆ MetalType

short MetalType
| optionalproperty

Specifies in case of Metal=true the way the rendering of the shape is modified.

Note: Currently not usable in ODF strict.

See also
  EnhancedCustomShapeMetalType

Since
  LibreOffice 7.4

## ◆ NumberOfLineSegments

long NumberOfLineSegments
| optionalproperty

Specifies the number of line segments that should be used to display curved surfaces.

The higher the number the more line segments are used.

## ◆ Origin

::com::sun::star::drawing::EnhancedCustomShapeParameterPair Origin
| optionalproperty

This attribute specifies the origin within the bounding box of the shape in terms of the shape size fractions.

## ◆ ProjectionMode

com::sun::star::drawing::ProjectionMode ProjectionMode
| optionalproperty

This property defines the projection mode.

## ◆ RotateAngle

::com::sun::star::drawing::EnhancedCustomShapeParameterPair RotateAngle
| optionalproperty

This attributes specifies the rotation angle about the x-axis in degrees.

The order of rotation is: z-axis, y-axis and then x-axis. The z-axis is specified by the draw:rotate-angle.

## ◆ RotationCenter

::com::sun::star::drawing::Direction3D RotationCenter
| optionalproperty

This attribute specifies the position of the rotate center in terms of shape size fractions, if the property is omitted, then the geometrical center of the shape is used (this is the default).

## ◆ SecondLightDirection

::com::sun::star::drawing::Direction3D SecondLightDirection
| optionalproperty

Specifies the direction of the second light.

## ◆ SecondLightHarsh

boolean SecondLightHarsh
| optionalproperty

Specifies if the secondary light is harsh.

## ◆ SecondLightLevel

double SecondLightLevel
| optionalproperty

Specifies the intensity for the second light in percent.

## ◆ ShadeMode

::com::sun::star::drawing::ShadeMode ShadeMode
| optionalproperty

This property defines the shade mode.

## ◆ Shininess

double Shininess
| optionalproperty

The draw:extrusion-shininess specifies the shininess of a mirror in percent.

## ◆ Skew

::com::sun::star::drawing::EnhancedCustomShapeParameterPair Skew
| optionalproperty

The first value of the draw:extrusion-skew attribute specifies the skew amount of an extrusion in percent.

The second parameter specifies the skew-angle. Skew settings are only applied if the attribute ProjectionMode is ProjectionMode_PARALLEL.

## ◆ Specularity

double Specularity
| optionalproperty

This attribute specifies the specularity of an extrusion object in percent.

## ◆ ViewPoint

::com::sun::star::drawing::Position3D ViewPoint
| optionalproperty

This attribute specifies the viewpoint of the observer.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/EnhancedCustomShapeExtrusion.idl